body{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background: darkslategray;
}
.container {
    max-width: 400px;
    margin: 5vh auto 0 auto;
    box-shadow: 0px 0px 0px 17px rgba(153,153,153,1);
    background: whitesmoke;
}

#display {
    text-align: right;
    height: 70px;
    line-height: 70px;
    padding: 16px 8px;
    font-size: 25px;
}

.buttons {
    display: grid;
    border-bottom: 1px solid #999;
    border-left: 1px solid#999;
    grid-template-columns: 1fr 1fr 1fr 1fr;
}

.buttons > div {
    border-top: 1px solid #999;
    border-right: 1px solid#999;
}

.button {
    border: 0.5px solid #999;
    line-height: 100px;
    text-align: center;
    font-size: 25px;
    cursor: pointer;
}

#equal {
    background-color: rgb(85, 85, 255);
    color: white;
    transition: 0.4s ease-in-out;
}
#equal:hover{
    background: darkgray;
}

.button:hover {
    background-color: #323330;
    color: white;
    transition: 0.5s ease-in-out;
}

/* media query for mobile view */
@media(max-width: 762px){
    .container {
        max-width: 200px;
      
    }

    #display {
        height: 50px;
        line-height: 50px;
        padding: 10px 3px;
        font-size: 20px;
    }

    .button {
        line-height: 70px;
        font-size: 20px;
    }
}